Межсайтовый скриптинг и SQL-инъекция в Joomla!

Дата публикации:
05.07.2006
Всего просмотров:
2528
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-3480
CVE-2006-3481
CVE-2006-7008
CVE-2006-7009
CVE-2006-7010
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Joomla! 1.x
Уязвимые версии: Joomla! версии до 1.0.10

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в функционале "Remember Me" и в модуле "Related Items". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в функции "getUserStateFromRequest()" в модулях "SEF" и "com_messages". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.joomla.org

Решение: Установите последнюю версию (1.0.10) с сайта производителя.

или введите имя

CAPTCHA